<div class="form-label-group">
  <input
    [ngClass]="
      controlDir && controlDir.control && controlDir.control.touched
        ? !controlDir.control.valid
          ? 'is-invalid'
          : 'is-valid'
        : null
    "
    [type]="type"
    (input)="onChange($event.target.value)"
    (blur)="onTouched()"
    [attr.autocomplete]="getAutocompleteTag()"
    #input
    id="{{ label }}"
    class="form-control"
    placeholder="{{ label }}"
  />
  <div
    *ngIf="
      controlDir &&
      controlDir.control &&
      controlDir.control.status === 'PENDING'
    "
    class="fa fa-spinner fa-spin loader"
  ></div>
  <label for="{{ label }}">{{ label }}</label>
  <div
    class="invalid-feedback"
    *ngIf="
      controlDir &&
      controlDir.control &&
      !controlDir.control.valid &&
      controlDir.control.touched
    "
  >
    <span *ngIf="controlDir.control.errors?.required"
      >{{ label }} is required</span
    >
    <span *ngIf="controlDir.control.errors?.pattern"
      >Invalid email address</span
    >
  </div>
  <div
    class="invalid-feedback d-block"
    *ngIf="
      controlDir &&
      controlDir.control &&
      !controlDir.control.valid &&
      controlDir.control.dirty
    "
  >
    <span *ngIf="controlDir.control.errors?.emailExists"
      >Email address is in use</span
    >
  </div>
</div>
